Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion Class Reference
Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion:

## Public Member Functions
| __construct (Gateway $innerGateway)
| Creates a new exception conversion gateway around $innerGateway. More...
| insertGroup (Group $group)
| Inserts the given $group. More...
| updateGroup (GroupUpdateStruct $group)
| Updates a group with data in $group. More...
| countTypesInGroup ($groupId)
| Returns the number of types in a certain group. More...
| countGroupsForType ($typeId, $status)
| Returns the number of Groups the type is assigned to. More...
| deleteGroup ($groupId)
| Deletes the Group with the given $groupId. More...
| loadGroupData (array $groupIds)
| Returns an array with data about the Group(s) with $groupIds. More...
| loadGroupDataByIdentifier ($identifier)
| Returns an array with data about the Group with $identifier. More...
| loadAllGroupsData ()
| Returns an array with data about all Group objects. More...
| loadTypesDataForGroup ($groupId, $status)
| Loads data for all Types in $status in $groupId. More...
| insertType (Type $type, $typeId=null)
| Inserts a new content type. More...
| insertGroupAssignment ($typeId, $status, $groupId)
| Insert assignment of $typeId to $groupId. More...
| deleteGroupAssignment ($groupId, $typeId, $status)
| Deletes a group assignments for a Type. More...
| loadFieldDefinition ($id, $status)
| Loads an array with data about field definition referred $id and $status. More...
| insertFieldDefinition ( $typeId, $status, FieldDefinition $fieldDefinition, StorageFieldDefinition $storageFieldDef)
| Inserts a $fieldDefinition for $typeId. More...
| deleteFieldDefinition ($typeId, $status, $fieldDefinitionId)
| Deletes a field definition. More...
| updateFieldDefinition ( $typeId, $status, FieldDefinition $fieldDefinition, StorageFieldDefinition $storageFieldDef)
| Updates a $fieldDefinition for $typeId. More...
| updateType ($typeId, $status, Type $type)
| Update a type with $updateStruct. More...
| loadTypesListData (array $typeIds)
| Loads an array with data about several Types in defined status. More...
| loadTypeData ($typeId, $status)
| Loads an array with data about $typeId in $status. More...
| loadTypeDataByIdentifier ($identifier, $status)
| Loads an array with data about the type referred to by $identifier in $status. More...
| loadTypeDataByRemoteId ($remoteId, $status)
| Loads an array with data about the type referred to by $remoteId in $status. More...
| countInstancesOfType ($typeId)
| Counts the number of instances that exists of the identified type. More...
| delete ($typeId, $status)
| Deletes a Type completely. More...
| deleteFieldDefinitionsForType ($typeId, $status)
| Deletes all field definitions of a Type. More...
| deleteType ($typeId, $status)
| Deletes a the Type. More...
| deleteGroupAssignmentsForType ($typeId, $status)
| Deletes all group assignments for a Type. More...
| publishTypeAndFields ($typeId, $sourceStatus, $targetStatus)
| Publishes the Type with $typeId from $sourceVersion to $targetVersion, including its fields. More...
| getSearchableFieldMapData ()
| Returns searchable fields mapping data. More...
| removeFieldDefinitionTranslation (int $fieldDefinitionId, string $languageCode, int $status)
| Removes fieldDefinition data from multilingual table. More...
| removeByUserAndVersion (int $userId, int $version)
| Removes items created or modified by the user. More...

## Protected Attributes
| $innerGateway

## Detailed Description

Definition at line 19 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::__construct | ( | Gateway | $innerGateway | ) |

Creates a new exception conversion gateway around $innerGateway.

Parameters

  \eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway | $innerGateway |

Definition at line 33 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\$innerGateway.

## Member Function Documentation

## ◆ countGroupsForType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::countGroupsForType | ( |  | $typeId,
|  |  | $status
| ) |  |

Returns the number of Groups the type is assigned to.

Parameters

  int | $typeId |
  int | $status |

Returns
  int

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 65 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ countInstancesOfType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::countInstancesOfType | ( |  | $typeId | ) |

Counts the number of instances that exists of the identified type.

Parameters

  int | $typeId |

Returns
  int

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 235 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

## ◆ countTypesInGroup()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::countTypesInGroup | ( |  | $groupId | ) |

Returns the number of types in a certain group.

Parameters

  int | $groupId |

Returns
  int

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 56 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

## ◆ delete()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::delete | ( |  | $typeId,
|  |  | $status
| ) |  |

Deletes a Type completely.

Parameters

  mixed | $typeId |
  int | $status |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 244 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ deleteFieldDefinition()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::deleteFieldDefinition | ( |  | $typeId,
|  |  | $status,
|  |  | $fieldDefinitionId
| ) |  |

Deletes a field definition.

Parameters

  mixed | $typeId |
  int | $status |
  mixed | $fieldDefinitionId |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 168 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ deleteFieldDefinitionsForType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::deleteFieldDefinitionsForType | ( |  | $typeId,
|  |  | $status
| ) |  |

Deletes all field definitions of a Type.

Parameters

  mixed | $typeId |
  int | $status |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 253 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ deleteGroup()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::deleteGroup | ( |  | $groupId | ) |

Deletes the Group with the given $groupId.

Parameters

  int | $groupId |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 74 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

## ◆ deleteGroupAssignment()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::deleteGroupAssignment | ( |  | $groupId,
|  |  | $typeId,
|  |  | $status
| ) |  |

Deletes a group assignments for a Type.

Parameters

  mixed | $groupId |
  mixed | $typeId |
  int | $status |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 137 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ deleteGroupAssignmentsForType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::deleteGroupAssignmentsForType | ( |  | $typeId,
|  |  | $status
| ) |  |

Deletes all group assignments for a Type.

Parameters

  mixed | $typeId |
  int | $status |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 271 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ deleteType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::deleteType | ( |  | $typeId,
|  |  | $status
| ) |  |

Deletes a the Type.

Does no delete the field definitions!

Parameters

  mixed | $typeId |
  int | $status |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 262 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ getSearchableFieldMapData()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::getSearchableFieldMapData | ( |  | ) |

Returns searchable fields mapping data.

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 289 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

## ◆ insertFieldDefinition()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::insertFieldDefinition | ( |  | $typeId,
|  |  | $status,
|  | FieldDefinition | $fieldDefinition,
|  | StorageFieldDefinition | $storageFieldDef
| ) |  |

Inserts a $fieldDefinition for $typeId.

Parameters

  mixed | $typeId |
  int | $status |
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition | $fieldDefinition |
  \eZ\Publish\Core\Persistence\Legacy\Content\StorageFieldDefinition | $storageFieldDef |

Returns
  mixed Field definition ID

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 155 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ insertGroup()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::insertGroup | ( | Group | $group | ) |

Inserts the given $group.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Type\Group | $group |

Returns
  mixed Group ID

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 38 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

## ◆ insertGroupAssignment()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::insertGroupAssignment | ( |  | $typeId,
|  |  | $status,
|  |  | $groupId
| ) |  |

Insert assignment of $typeId to $groupId.

Parameters

  mixed | $typeId |
  int | $status |
  mixed | $groupId |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 128 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ insertType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::insertType | ( | Type | $type,
|  |  | $typeId = `null`
| ) |  |

Inserts a new content type.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Type | $type |
  mixed | null | $typeId |

Returns
  mixed Type ID

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 119 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

## ◆ loadAllGroupsData()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::loadAllGroupsData | ( |  | ) |

Returns an array with data about all Group objects.

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 101 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

## ◆ loadFieldDefinition()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::loadFieldDefinition | ( |  | $id,
|  |  | $status
| ) |  |

Loads an array with data about field definition referred $id and $status.

Parameters

  mixed | $id | field definition id
  int | $status | field definition status

Returns
  array Data rows.

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 146 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Type\$id, and eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ loadGroupData()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::loadGroupData | ( | array | $groupIds | ) |

Returns an array with data about the Group(s) with $groupIds.

Parameters

  int[] | $groupIds |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 83 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Type\$groupIds.

## ◆ loadGroupDataByIdentifier()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::loadGroupDataByIdentifier | ( |  | $identifier | ) |

Returns an array with data about the Group with $identifier.

Parameters

  string | $identifier |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 92 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Type\$identifier.

## ◆ loadTypeData()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::loadTypeData | ( |  | $typeId,
|  |  | $status
| ) |  |

Loads an array with data about $typeId in $status.

Parameters

  mixed | $typeId |
  int | $status |

Returns
  array Data rows.

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 208 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ loadTypeDataByIdentifier()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::loadTypeDataByIdentifier | ( |  | $identifier,
|  |  | $status
| ) |  |

Loads an array with data about the type referred to by $identifier in $status.

Parameters

  string | $identifier |
  int | $status |

Returns
  array(int=>array(string=>mixed)) Data rows.

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 217 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Type\$identifier, and eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ loadTypeDataByRemoteId()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::loadTypeDataByRemoteId | ( |  | $remoteId,
|  |  | $status
| ) |  |

Loads an array with data about the type referred to by $remoteId in $status.

Parameters

  mixed | $remoteId |
  int | $status |

Returns
  array(int=>array(string=>mixed)) Data rows.

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 226 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Type\$remoteId, and eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ loadTypesDataForGroup()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::loadTypesDataForGroup | ( |  | $groupId,
|  |  | $status
| ) |  |

Loads data for all Types in $status in $groupId.

Parameters

  mixed | $groupId |
  int | $status |

Returns
  string[][]

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 110 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ loadTypesListData()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::loadTypesListData | ( | array | $typeIds | ) |

Loads an array with data about several Types in defined status.

Parameters

  array | $typeIds |

Returns
  array Data rows.

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 199 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

## ◆ publishTypeAndFields()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::publishTypeAndFields | ( |  | $typeId,
|  |  | $sourceStatus,
|  |  | $targetStatus
| ) |  |

Publishes the Type with $typeId from $sourceVersion to $targetVersion, including its fields.

Parameters

  int | $typeId |
  int | $sourceStatus |
  int | $targetStatus |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 280 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

## ◆ removeByUserAndVersion()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::removeByUserAndVersion | ( | int | $userId,
|  | int | $version
| ) |  |

Removes items created or modified by the user.

Parameters

  int | $userId |
  int | $version |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 314 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

## ◆ removeFieldDefinitionTranslation()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::removeFieldDefinitionTranslation | ( | int | $fieldDefinitionId,
|  | string | $languageCode,
|  | int | $status
| ) |  |

Removes fieldDefinition data from multilingual table.

Parameters

  int | $fieldDefinitionId |
  string | $languageCode |
  int | $status |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 298 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

## ◆ updateFieldDefinition()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::updateFieldDefinition | ( |  | $typeId,
|  |  | $status,
|  | FieldDefinition | $fieldDefinition,
|  | StorageFieldDefinition | $storageFieldDef
| ) |  |

Updates a $fieldDefinition for $typeId.

Parameters

  mixed | $typeId |
  int | $status |
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition | $fieldDefinition |
  \eZ\Publish\Core\Persistence\Legacy\Content\StorageFieldDefinition | $storageFieldDef |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 177 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ updateGroup()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::updateGroup | ( | GroupUpdateStruct | $group | ) |

Updates a group with data in $group.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Type\Group\UpdateStruct | $group |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 47 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

## ◆ updateType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::updateType | ( |  | $typeId,
|  |  | $status,
|  | Type | $type
| ) |  |

Update a type with $updateStruct.

Parameters

  mixed | $typeId |
  int | $status |
  \eZ\Publish\SPI\Persistence\Content\Type | $type |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 190 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status.

## Member Data Documentation

## ◆ $innerGateway

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion::$innerGateway
| protected

Definition at line 26 of file Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\__construct().

The documentation for this class was generated from the following file:

- Persistence/Legacy/Content/Type/Gateway/ExceptionConversion.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.